#include <opencv2/core/core_c.h>

int main( int argc, char** argv )
{

  CvMat *image=cvCreateMat(400,400,CV_8UC1);
  CvScalar white=CV_RGB(255,255,255),black=CV_RGB(0,0,0);
  CvPoint center=cvPoint(200,170);
  CvFont font;

  cvSet(image,white);

  cvCircle(image,center,150,black,CV_FILLED);
  cvEllipse(image,center,cvSize(110,70),360,0,360,white,CV_FILLED);
  cvCircle(image,center,40,black,40);

  cvEllipse(image,cvPoint(250,276),cvSize(200,200),140,0,90,white,3);
  cvEllipse(image,cvPoint(150,64),cvSize(200,200),50,270,360,white,3);

  cvInitFont(&font,CV_FONT_HERSHEY_DUPLEX,1,1,0,2);
  cvPutText(image,"Computer Vision Group",cvPoint(15,370),&font,black); 

  cvReleaseMat(&image);
	return EXIT_SUCCESS;
}

